# Class DrawFaceLandmarks

#### Hierarchy

- DrawFaceLandmarks

- Defined in draw/DrawFaceLandmarks.ts:45

#####
Index

### Constructors

constructor

### Properties

faceLandmarks
options

### Methods

draw

## Constructors

### constructor

- new DrawFaceLandmarks(faceLandmarks: FaceLandmarks, options?: IDrawFaceLandmarksOptions): DrawFaceLandmarks

- #### Parameters

  - ##### faceLandmarks: FaceLandmarks

  - ##### options: IDrawFaceLandmarksOptions = {}

  #### Returns DrawFaceLandmarks

  - Defined in draw/DrawFaceLandmarks.ts:50

## Properties

### faceLandmarks

faceLandmarks: FaceLandmarks

- Defined in draw/DrawFaceLandmarks.ts:46

### options

options: DrawFaceLandmarksOptions

- Defined in draw/DrawFaceLandmarks.ts:48

## Methods

### draw

- draw(canvasArg: string | HTMLCanvasElement | CanvasRenderingContext2D): void

- #### Parameters

  - ##### canvasArg: string | HTMLCanvasElement | CanvasRenderingContext2D

  #### Returns void

  - Defined in draw/DrawFaceLandmarks.ts:58